## qtsysteminfo 1.0-1

=== Makefile ===
#############################################################################
# Makefile for building: libQtSystemInfo.so.1.0.0
# Generated by qmake (2.01a) (Qt 4.6.1) on: Mon Dec 28 14:15:16 2009
# Project:  qtsysteminfo.pro
# Template: lib
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile qtsysteminfo.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_BUILD_SYSINFO_LIB -DQT_MAKEDLL -DQT_NO_DEBUG -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtNetwork -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtDBus -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,-rpath,/opt/qt4-maemo5/lib -shared -Wl,-soname,libQtSystemInfo.so.1
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -L/opt/qt4-maemo5/lib -lQtGui -L/usr/X11R6/lib -lQtNetwork -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = qsysteminfo.cpp \
		qhalservice_linux.cpp \
		qnetworkmanagerservice_linux.cpp \
		qsysteminfo_linux.cpp 
OBJECTS       = qsysteminfo.o \
		qhalservice_linux.o \
		qnetworkmanagerservice_linux.o \
		qsysteminfo_linux.o
DIST          = /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		qtsysteminfo.pro
QMAKE_TARGET  = QtSystemInfo
DESTDIR       = 
TARGET        = libQtSystemInfo.so.1.0.0
TARGETA       = libQtSystemInfo.a
TARGETD       = libQtSystemInfo.so.1.0.0
TARGET0       = libQtSystemInfo.so
TARGET1       = libQtSystemInfo.so.1
TARGET2       = libQtSystemInfo.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: qtsysteminfo.pro  /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtNetwork.prl
	$(QMAKE) -unix -o Makefile qtsysteminfo.pro
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile qtsysteminfo.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/QtSystemInfo1.0.0 || $(MKDIR) .tmp/QtSystemInfo1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/QtSystemInfo1.0.0/ && $(COPY_FILE) --parents qhalservice_linux_p.h qnetworkmanagerservice_linux_p.h qsysteminfo_linux_p.h qsysteminfo.h .tmp/QtSystemInfo1.0.0/ && $(COPY_FILE) --parents qsysteminfo.cpp qhalservice_linux.cpp qnetworkmanagerservice_linux.cpp qsysteminfo_linux.cpp .tmp/QtSystemInfo1.0.0/ && (cd `dirname .tmp/QtSystemInfo1.0.0` && $(TAR) QtSystemInfo1.0.0.tar QtSystemInfo1.0.0 && $(COMPRESS) QtSystemInfo1.0.0.tar) && $(MOVE) `dirname .tmp/QtSystemInfo1.0.0`/QtSystemInfo1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/QtSystemInfo1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) $(TARGET0) $(TARGET1) $(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_qhalservice_linux_p.cpp moc_qnetworkmanagerservice_linux_p.cpp moc_qsysteminfo_linux_p.cpp moc_qsysteminfo.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_qhalservice_linux_p.cpp moc_qnetworkmanagerservice_linux_p.cpp moc_qsysteminfo_linux_p.cpp moc_qsysteminfo.cpp
moc_qhalservice_linux_p.cpp: qmobilityglobal.h \
		qhalservice_linux_p.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) qhalservice_linux_p.h -o moc_qhalservice_linux_p.cpp

moc_qnetworkmanagerservice_linux_p.cpp: qmobilityglobal.h \
		qnetworkmanagerservice_linux_p.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) qnetworkmanagerservice_linux_p.h -o moc_qnetworkmanagerservice_linux_p.cpp

moc_qsysteminfo_linux_p.cpp: qsysteminfo.h \
		qmobilityglobal.h \
		qhalservice_linux_p.h \
		qsysteminfo_linux_p.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) qsysteminfo_linux_p.h -o moc_qsysteminfo_linux_p.cpp

moc_qsysteminfo.cpp: qmobilityglobal.h \
		qsysteminfo.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) qsysteminfo.h -o moc_qsysteminfo.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

qsysteminfo.o: qsysteminfo.cpp qsysteminfo.h \
		qmobilityglobal.h \
		qsysteminfo_linux_p.h \
		qhalservice_linux_p.h \
		qsysteminfo_win_p.h \
		qsysteminfo_mac_p.h \
		qsysteminfo_s60_p.h \
		moc_qsysteminfo.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qsysteminfo.o qsysteminfo.cpp

qhalservice_linux.o: qhalservice_linux.cpp qhalservice_linux_p.h \
		qmobilityglobal.h \
		moc_qhalservice_linux_p.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qhalservice_linux.o qhalservice_linux.cpp

qnetworkmanagerservice_linux.o: qnetworkmanagerservice_linux.cpp qnetworkmanagerservice_linux_p.h \
		qmobilityglobal.h \
		moc_qnetworkmanagerservice_linux_p.cpp

=== debian/changelog ===
qtsysteminfo (1.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- rama kurvakat <rkmaemo@gmx.com>  Mon, 28 Dec 2009 11:57:34 -0800

=== debian/control ===
Source: qtsysteminfo
Section: user/development
Priority: extra
Maintainer: rama kurvakat <rkmaemo@gmx.com>
Build-Depends: debhelper (>= 5) , libqt4-dev, libx11-dev, libglib2.0-dev, libdbus-1-dev, libdbus-glib-1-dev, libgconf2-dev
Standards-Version: 3.8.1
Homepage: <insert the upstream URL, if relevant>

Package: qtsysteminfo
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QT mobility api for System Info
 shared libraries needed by QT apps using SystemInfo Mobility api's

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := qtsysteminfo

builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake PREFIX=/lib ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into
	#debian/batlevel
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install

# Build architecture-independent files here.
binary-indep: 
#build install

# We have nothing to do by default.
# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
#.PHONY: build clean binary-indep binary-arch binary install configure

## qtsysteminfo 1.0-2

=== Makefile ===
#############################################################################
# Makefile for building: libQtSystemInfo_tp.so.1.0.0
# Generated by qmake (2.01a) (Qt 4.6.1) on: Tue Dec 29 12:34:37 2009
# Project:  qtsysteminfo.pro
# Template: lib
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile qtsysteminfo.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_BUILD_SYSINFO_LIB -DQT_MAKEDLL -DQT_NO_DEBUG -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtNetwork -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtDBus -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qt4-maemo5/lib -shared -Wl,-soname,libQtSystemInfo_tp.so.1
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -L/opt/qt4-maemo5/lib -lQtGui -L/usr/X11R6/lib -lQtNetwork -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = qsysteminfo.cpp \
		qhalservice_linux.cpp \
		qnetworkmanagerservice_linux.cpp \
		qsysteminfo_linux.cpp 
OBJECTS       = qsysteminfo.o \
		qhalservice_linux.o \
		qnetworkmanagerservice_linux.o \
		qsysteminfo_linux.o
DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		qtsysteminfo.pro
QMAKE_TARGET  = QtSystemInfo_tp
DESTDIR       = 
TARGET        = libQtSystemInfo_tp.so.1.0.0
TARGETA       = libQtSystemInfo_tp.a
TARGETD       = libQtSystemInfo_tp.so.1.0.0
TARGET0       = libQtSystemInfo_tp.so
TARGET1       = libQtSystemInfo_tp.so.1
TARGET2       = libQtSystemInfo_tp.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: qtsysteminfo.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtNetwork.prl
	$(QMAKE) -unix -o Makefile qtsysteminfo.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile qtsysteminfo.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/QtSystemInfo_tp1.0.0 || $(MKDIR) .tmp/QtSystemInfo_tp1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/QtSystemInfo_tp1.0.0/ && $(COPY_FILE) --parents qhalservice_linux_p.h qnetworkmanagerservice_linux_p.h qsysteminfo_linux_p.h qsysteminfo.h .tmp/QtSystemInfo_tp1.0.0/ && $(COPY_FILE) --parents qsysteminfo.cpp qhalservice_linux.cpp qnetworkmanagerservice_linux.cpp qsysteminfo_linux.cpp .tmp/QtSystemInfo_tp1.0.0/ && (cd `dirname .tmp/QtSystemInfo_tp1.0.0` && $(TAR) QtSystemInfo_tp1.0.0.tar QtSystemInfo_tp1.0.0 && $(COMPRESS) QtSystemInfo_tp1.0.0.tar) && $(MOVE) `dirname .tmp/QtSystemInfo_tp1.0.0`/QtSystemInfo_tp1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/QtSystemInfo_tp1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) $(TARGET0) $(TARGET1) $(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_qhalservice_linux_p.cpp moc_qnetworkmanagerservice_linux_p.cpp moc_qsysteminfo_linux_p.cpp moc_qsysteminfo.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_qhalservice_linux_p.cpp moc_qnetworkmanagerservice_linux_p.cpp moc_qsysteminfo_linux_p.cpp moc_qsysteminfo.cpp
moc_qhalservice_linux_p.cpp: qmobilityglobal.h \
		qhalservice_linux_p.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) qhalservice_linux_p.h -o moc_qhalservice_linux_p.cpp

moc_qnetworkmanagerservice_linux_p.cpp: qmobilityglobal.h \
		qnetworkmanagerservice_linux_p.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) qnetworkmanagerservice_linux_p.h -o moc_qnetworkmanagerservice_linux_p.cpp

moc_qsysteminfo_linux_p.cpp: qsysteminfo.h \
		qmobilityglobal.h \
		qhalservice_linux_p.h \
		qsysteminfo_linux_p.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) qsysteminfo_linux_p.h -o moc_qsysteminfo_linux_p.cpp

moc_qsysteminfo.cpp: qmobilityglobal.h \
		qsysteminfo.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) qsysteminfo.h -o moc_qsysteminfo.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

qsysteminfo.o: qsysteminfo.cpp qsysteminfo.h \
		qmobilityglobal.h \
		qsysteminfo_linux_p.h \
		qhalservice_linux_p.h \
		qsysteminfo_win_p.h \
		qsysteminfo_mac_p.h \
		qsysteminfo_s60_p.h \
		moc_qsysteminfo.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qsysteminfo.o qsysteminfo.cpp

qhalservice_linux.o: qhalservice_linux.cpp qhalservice_linux_p.h \
		qmobilityglobal.h \
		moc_qhalservice_linux_p.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qhalservice_linux.o qhalservice_linux.cpp

=== debian/changelog ===
qtsysteminfo (1.0-2) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- rama kurvakat <rkmaemo@gmx.com>  Mon, 28 Dec 2009 11:57:34 -0800

=== debian/control ===
Source: qtsysteminfo
Section: user/development
Priority: extra
Maintainer: rama kurvakat <rkmaemo@gmx.com>
Build-Depends: debhelper (>= 5) , libqt4-maemo5-dev, libx11-dev, libglib2.0-dev, libdbus-1-dev, libdbus-glib-1-dev, libgconf2-dev
Standards-Version: 3.8.1
Homepage: <insert the upstream URL, if relevant>

Package: qtsysteminfo
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QT mobility api Technology Preview 2 for SystemInfo
 shared libraries needed by QT apps using SystemInfo module of the Mobility api's

## qtsysteminfo 1.0-3

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/development
 Priority: extra
 Maintainer: rama kurvakat <rkmaemo@gmx.com>
-Build-Depends: debhelper (>= 5) , libqt4-maemo5-dev, libx11-dev, libglib2.0-dev, libdbus-1-dev, libdbus-glib-1-dev, libgconf2-dev
+Build-Depends: debhelper (>= 5) , libqt4-maemo5-dev,libx11-dev,libglib2.0-dev, libdbus-1-dev, libdbus-glib-1-dev, libgconf2-dev
 Standards-Version: 3.8.1
 Homepage: <insert the upstream URL, if relevant>

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	mkdir -p builddir
 
 builddir/Makefile: builddir
-	cd builddir && qmake PREFIX=/lib ../$(APPNAME).pro
+	cd builddir && /opt/qt4-maemo5/bin/qmake PREFIX=/lib ../$(APPNAME).pro
 
 build: build-stamp
